Loading...
Searching...
No Matches
rig_state_deprecated Struct Reference
Rig (transceiver) API

Deprecated Rig state containing live data and customized fields. Due to DLL problems this remains in-place in the rig_caps structure but is no longer referred to A new rig_state has been added at the end of the structure instead of the middle. More...

`#include <rig.h>`

Collaboration diagram for rig_state_deprecated:
[legend]

## Data Fields

hamlib_port_t_deprecated | rigport_deprecated
hamlib_port_t_deprecated | pttport_deprecated
hamlib_port_t_deprecated | dcdport_deprecated
double | vfo_comp
int | deprecated_itu_region
freq_range_t | rx_range_list [HAMLIB_FRQRANGESIZ]
freq_range_t | tx_range_list [HAMLIB_FRQRANGESIZ]
struct tuning_step_list | tuning_steps [HAMLIB_TSLSTSIZ]
struct filter_list | filters [HAMLIB_FLTLSTSIZ]
cal_table_t | str_cal
chan_t | chan_list [HAMLIB_CHANLSTSIZ]
shortfreq_t | max_rit
shortfreq_t | max_xit
shortfreq_t | max_ifshift
ann_t | announces
int | preamp [HAMLIB_MAXDBLSTSIZ]
int | attenuator [HAMLIB_MAXDBLSTSIZ]
setting_t | has_get_func
setting_t | has_set_func
setting_t | has_get_level
setting_t | has_set_level
setting_t | has_get_parm
setting_t | has_set_parm
gran_t | level_gran [64]
gran_t | parm_gran [64]
int | transaction_active
vfo_t | current_vfo
int | vfo_list
int | comm_state
rig_ptr_t | priv
rig_ptr_t | obj
int | async_data_enabled
int | poll_interval
freq_t | current_freq
rmode_t | current_mode
pbwidth_t | current_width
vfo_t | tx_vfo
rmode_t | mode_list
int | transmit
freq_t | lo_freq
time_t | twiddle_time
int | twiddle_timeout
int | uplink
struct rig_cache | cache
int | vfo_opt
int | auto_power_on
int | auto_power_off
int | auto_disable_screensaver
int | ptt_share
int | power_now
int | power_min
int | power_max
unsigned char | disable_yaesu_bandselect
int | twiddle_rit
int | twiddle_state
vfo_t | rx_vfo
volatile unsigned int | snapshot_packet_sequence_number
volatile int | multicast_publisher_run
void * | multicast_publisher_priv_data
volatile int | async_data_handler_thread_run
void * | async_data_handler_priv_data
volatile int | poll_routine_thread_run
void * | poll_routine_priv_data
pthread_mutex_t | mutex_set_transaction
hamlib_port_t | rigport
hamlib_port_t | pttport
hamlib_port_t | dcdport
int | use_cached_freq
int | use_cached_mode
int | use_cached_ptt
int | depth
int | lock_mode
powerstat_t | powerstat
char * | tuner_control_pathname
char | client_version [32]
freq_t | offset_vfoa
freq_t | offset_vfob
struct multicast_s * | multicast

## Detailed Description

Deprecated Rig state containing live data and customized fields. Due to DLL problems this remains in-place in the rig_caps structure but is no longer referred to A new rig_state has been added at the end of the structure instead of the middle.

This struct contains no data and is just a place holder for DLL alignment

It is NOT fine to touch this struct AT ALL!!!

## Field Documentation

## announces

ann_t rig_state_deprecated::announces

Announces bit field list

## async_data_enabled

int rig_state_deprecated::async_data_enabled

Whether async data mode is enabled

## attenuator

int rig_state_deprecated::attenuator[HAMLIB_MAXDBLSTSIZ]

Attenuator list in dB, 0 terminated

## auto_disable_screensaver

int rig_state_deprecated::auto_disable_screensaver

Allow Hamlib to disable the rig's screen saver automatically if supported

## auto_power_off

int rig_state_deprecated::auto_power_off

Allow Hamlib to power off rig automatically if supported

## auto_power_on

int rig_state_deprecated::auto_power_on

Allow Hamlib to power on rig automatically if supported

## chan_list

chan_t rig_state_deprecated::chan_list[HAMLIB_CHANLSTSIZ]

Channel list, zero ended

## client_version

char rig_state_deprecated::client_version[32]

! Allow client to report version for compatibility checks/capability

## comm_state

int rig_state_deprecated::comm_state

Comm port state, opened/closed.

## current_freq

freq_t rig_state_deprecated::current_freq

Frequency currently set

## current_mode

rmode_t rig_state_deprecated::current_mode

Mode currently set

## current_vfo

vfo_t rig_state_deprecated::current_vfo

VFO currently set

## current_width

pbwidth_t rig_state_deprecated::current_width

Passband width currently set

## dcdport

hamlib_port_t rig_state_deprecated::dcdport

DCD port (internal use).

## dcdport_deprecated

hamlib_port_t_deprecated rig_state_deprecated::dcdport_deprecated

DCD port (internal use).

## deprecated_itu_region

int rig_state_deprecated::deprecated_itu_region

ITU region to select among freq_range_t

## depth

int rig_state_deprecated::depth

a depth counter to use for debug indentation and such

## disable_yaesu_bandselect

unsigned char rig_state_deprecated::disable_yaesu_bandselect

Disables Yaesu band select logic

## filters

struct filter_list rig_state_deprecated::filters[HAMLIB_FLTLSTSIZ]

Mode/filter table, at -6dB

## has_get_func

setting_t rig_state_deprecated::has_get_func

List of get functions

## has_get_level

setting_t rig_state_deprecated::has_get_level

List of get level

## has_get_parm

setting_t rig_state_deprecated::has_get_parm

List of get parm

## has_set_func

setting_t rig_state_deprecated::has_set_func

List of set functions

## has_set_level

setting_t rig_state_deprecated::has_set_level

List of set level

## has_set_parm

setting_t rig_state_deprecated::has_set_parm

List of set parm

## level_gran

gran_t rig_state_deprecated::level_gran[64]

level granularity

## lo_freq

freq_t rig_state_deprecated::lo_freq

Local oscillator frequency of any transverter

## lock_mode

int rig_state_deprecated::lock_mode

flag that prevents mode changes if ~= 0 – see set/get_lock_mode

## max_ifshift

shortfreq_t rig_state_deprecated::max_ifshift

max absolute IF-SHIFT

## max_rit

shortfreq_t rig_state_deprecated::max_rit

max absolute RIT

## max_xit

shortfreq_t rig_state_deprecated::max_xit

max absolute XIT

## mode_list

rmode_t rig_state_deprecated::mode_list

Complete list of modes for this rig

## multicast

struct multicast_s* rig_state_deprecated::multicast

Pointer to multicast server data

## obj

rig_ptr_t rig_state_deprecated::obj

Internal use by hamlib++ for event handling.

## offset_vfoa

freq_t rig_state_deprecated::offset_vfoa

Offset to apply to VFOA/Main set_freq

## offset_vfob

freq_t rig_state_deprecated::offset_vfob

Offset to apply to VFOB/Sub set_freq

## parm_gran

gran_t rig_state_deprecated::parm_gran[64]

parm granularity

## poll_interval

int rig_state_deprecated::poll_interval

Rig state polling period in milliseconds

## power_max

int rig_state_deprecated::power_max

Maximum RF power level in rig units

## power_min

int rig_state_deprecated::power_min

Minimum RF power level in rig units

## power_now

int rig_state_deprecated::power_now

Current RF power level in rig units

## powerstat

powerstat_t rig_state_deprecated::powerstat

power status

## preamp

int rig_state_deprecated::preamp[HAMLIB_MAXDBLSTSIZ]

Preamp list in dB, 0 terminated

## priv

rig_ptr_t rig_state_deprecated::priv

Pointer to private rig state data.

## ptt_share

int rig_state_deprecated::ptt_share

Share ptt port by open/close during get_ptt, set_ptt hogs the port while active

## pttport

hamlib_port_t rig_state_deprecated::pttport

PTT port (internal use).

## pttport_deprecated

hamlib_port_t_deprecated rig_state_deprecated::pttport_deprecated

PTT port (internal use).

## rigport

hamlib_port_t rig_state_deprecated::rigport

Rig port (internal use).

## rigport_deprecated

hamlib_port_t_deprecated rig_state_deprecated::rigport_deprecated

Rig port (internal use).

## rx_range_list

freq_range_t rig_state_deprecated::rx_range_list[HAMLIB_FRQRANGESIZ]

Receive frequency range list

## rx_vfo

vfo_t rig_state_deprecated::rx_vfo

Rx VFO currently set

## str_cal

cal_table_t rig_state_deprecated::str_cal

S-meter calibration table

## transaction_active

int rig_state_deprecated::transaction_active

set to 1 to inform the async reader thread that a synchronous command transaction is waiting for a response, otherwise 0

## transmit

int rig_state_deprecated::transmit

rig should be transmitting i.e. hard wired PTT asserted - used by rigs that don't do CAT while in Tx

## tuner_control_pathname

char* rig_state_deprecated::tuner_control_pathname

Path to external tuner control program that get 0/1 (Off/On) argument

## tuning_steps

struct tuning_step_list rig_state_deprecated::tuning_steps[HAMLIB_TSLSTSIZ]

Tuning step list

## twiddle_rit

int rig_state_deprecated::twiddle_rit

Suppresses VFOB reading (cached value used) so RIT control can be used

## twiddle_state

int rig_state_deprecated::twiddle_state

keeps track of twiddle status

## twiddle_time

time_t rig_state_deprecated::twiddle_time

time when vfo twiddling was detected

## twiddle_timeout

int rig_state_deprecated::twiddle_timeout

timeout to resume from twiddling

## tx_range_list

freq_range_t rig_state_deprecated::tx_range_list[HAMLIB_FRQRANGESIZ]

Transmit frequency range list

## tx_vfo

vfo_t rig_state_deprecated::tx_vfo

Tx VFO currently set

## uplink

int rig_state_deprecated::uplink

uplink=1 will not read Sub, uplink=2 will not read Main

## use_cached_freq

int rig_state_deprecated::use_cached_freq

flag instructing rig_get_freq to use cached values when asyncio is in use

## use_cached_mode

int rig_state_deprecated::use_cached_mode

flag instructing rig_get_mode to use cached values when asyncio is in use

## use_cached_ptt

int rig_state_deprecated::use_cached_ptt

flag instructing rig_get_ptt to use cached values when asyncio is in use

## vfo_comp

double rig_state_deprecated::vfo_comp

VFO compensation in PPM, 0.0 to disable

## vfo_list

int rig_state_deprecated::vfo_list

Complete list of VFO for this rig

## vfo_opt

int rig_state_deprecated::vfo_opt

Is -o switch turned on?

The documentation for this struct was generated from the following file:

- rig.h